Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface VersionInfoType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VersionInfoTypeImpl

    public interface VersionInfoType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Version Info Type'.

The following features are supported:

- `Comment`
- `Version Name`

See Also:
  `RimPackage.getVersionInfoType()`

Method Summary
`java.lang.String` | `getComment()` Returns the value of the 'Comment' attribute.
`java.lang.String` | `getVersionName()` Returns the value of the 'Version Name' attribute.
`boolean` | `isSetVersionName()` Returns whether the value of the '`Version Name`' attribute is set.
`void` | `setComment(java.lang.String value)` Sets the value of the '`Comment`' attribute.
`void` | `setVersionName(java.lang.String value)` Sets the value of the '`Version Name`' attribute.
`void` | `unsetVersionName()` Unsets the value of the '`Version Name`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getComment

    java.lang.String getComment()

  Returns the value of the 'Comment' attribute.

  If the meaning of the 'Comment' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Comment' attribute.
  See Also:
    `setComment(String)`, `RimPackage.getVersionInfoType_Comment()`

### setComment

    void setComment(java.lang.String value)

  Sets the value of the '`Comment`' attribute.

  Parameters:
    `value` - the new value of the 'Comment' attribute.
  See Also:
    `getComment()`

### getVersionName

    java.lang.String getVersionName()

  Returns the value of the 'Version Name' attribute. The default value is `"1.1"`.

  If the meaning of the 'Version Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Version Name' attribute.
  See Also:
    `isSetVersionName()`, `unsetVersionName()`, `setVersionName(String)`, `RimPackage.getVersionInfoType_VersionName()`

### setVersionName

    void setVersionName(java.lang.String value)

  Sets the value of the '`Version Name`' attribute.

  Parameters:
    `value` - the new value of the 'Version Name' attribute.
  See Also:
    `isSetVersionName()`, `unsetVersionName()`, `getVersionName()`

### unsetVersionName

    void unsetVersionName()

  Unsets the value of the '`Version Name`' attribute.

  See Also:
    `isSetVersionName()`, `getVersionName()`, `setVersionName(String)`

### isSetVersionName

    boolean isSetVersionName()

  Returns whether the value of the '`Version Name`' attribute is set.

  Returns:
    whether the value of the 'Version Name' attribute is set.
  See Also:
    `unsetVersionName()`, `getVersionName()`, `setVersionName(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD